package de.oaa.xxx.games.chastity.lockcontroll;

import de.oaa.xxx.games.chastity.common.CodeCreator;

public class UnlockcodeLockControl extends LockControl {
	
	public UnlockcodeLockControl(LockControlCallback callback) {
		super(callback);
	}

	@Override
	public boolean init() {
		return true;
	}

	@Override
	public boolean unlock() {
		return true;
	}

	@Override
	public boolean lock() {
		var code = CodeCreator.createNumeric(callback.getUnlockcodeLenght());
		callback.setUnlockCode(code);
		return true;
	}

	@Override
	public boolean cleanup() {
		return true;
	}
}
